# Delete a Recording

{% hint style="info" %}
HTTP DELETE

**/2012-04-24/Accounts/{AccountSid}/Recordings/{RecordingSid}**

<mark style="color:orange;">or</mark>

HTTP POST

**/2012-04-24/Accounts/{AccountSid}/Recordings**
{% endhint %}

This function allows you to delete a recording on our system using an HTTP POST or an HTTP DELETE.

You can put the recording sid OR just use the file name if it's easier.

{% tabs %}
{% tab title="CURL POST" %}

```
curl https://v1.api19.com/call/2012-04-24/Accounts/ACCOUNT_SID/Recordings \
   -d 'delete_file=recording_sid'
   -u 'API_Token'
```

{% endtab %}

{% tab title="CURL DELETE" %}

```perl
curl -X DELETE https://v1.api19.com/call/2012-04-24/Accounts/ACCOUNT_SID/Recordings/RECORDING_SID  \
   -u 'API_Token:account_sid'
```

{% endtab %}
{% endtabs %}

#### Possible Responses

```javascript
HTTP Status: 200
{"status": "ok"}

OR

HTTP Status: 404
{"status": "error", "error": "file missing"}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/call-apis/recordings/delete-a-recording.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
